Subject: RE: AttributeTypeValue and binary

From: "Ramsay, Ron" <[email-masked]>
Date: Thu, 25 Jan 2001 12:21:22 +1100

I am surprised that you refer to the binary syntax as having a defined
string encoding. This seems to imply new meanings for both 'defined' and
'string' and a possibly ambiguous use of 'encoding'.

Ron.

-----Original Message-----
From: Kurt D. Zeilenga [mailto:[email-masked]]
Sent: Thursday, 25 January 2001 12:05
To: Ramsay, Ron
Cc: Mark Smith; Jim Sermersheim; [email-masked]
Subject: RE: AttributeTypeValue and binary

At 11:51 AM 1/25/01 +1100, Ramsay, Ron wrote:
>Or if the attribute syntax is binary. (Binary syntaxes are encoded as if
the
>binary option were present.)

There is not any mention of the binary attribute type syntax
in RFC 2251.  This is appropriate as, in regards to the protocol,
the binary attribute type syntax is just another syntax with
a defined string encoding.

>-----Original Message-----
>From: Mark Smith [mailto:[email-masked]]
>Sent: Thursday, 25 January 2001 10:02
>To: Jim Sermersheim
>Cc: [email-masked]; [email-masked]
>Subject: Re: AttributeTypeValue and binary
>
>
>Jim Sermersheim wrote:
>> 
>> I believe there is consensus regarding the first part of this message.
>> That being that the first paragraph of section 4.1.6 is confusing, and
>> leaves the reader unsure as to whether or not all binary encodings
require
>> an extra OCTET STRING wrapper.
>> 
>> Unless there are objections, I will make the following change to the
>protocol > document:
>> 
>> 4.1.6
>> <A field of type AttributeValue takes on as its value either a string
>encoding of a AttributeValue data type, or an OCTET STRING containing an
>encoded binary value, depending on whether the "binary" option is present
in
>the companion AttributeDescription to this AttributeValue.
>> >A field of type AttributeValue is an OCTET STRING containing either a
>string encoding, or an encoded binary value of an AttributeValue data type,
>depending on whether the "binary" option is present in the companion
>AttributeDescription to this AttributeValue.
>
>I think the revised text is better but still a little confusing and
>awkward (although the OCTET STRING wrapper issue has been addressed). 
>At the risk of being "wordy" I suggest:
>
> If the companion AttributeDescription to an AttributeValue does not
> contain the "binary" option, then the AttributeValue field is an
> OCTET STRING that contains a string encoded value.
>
> If the companion AttributeDescription to an AttributeValue contains the
> "binary" option, then the AttributeValue field is an OCTET STRING
> that contains an encoded binary value of the AttributeValue data type.
>
>-Mark

---

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Wed, 24 Jan 2001 17:54:35 -0800

>'string' and a possibly ambiguous use of 'encoding'.

RFC 2251, 4.1.6:
   The definition of string encodings for different syntaxes and types
   may be found in other documents, and in particular [5].

I am using "string encoding" as used in RFC 2251.  I note
that there is no need to mention the binary syntax within
RFC 2251 as its transfer within the protocol is no different
from any other attribute type syntax which has a defined
string encoding.  I qualify with "defined" as some syntaxes,
such as ACI Item, have no specified string encoding.